Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.util
Class CrawledBytesHistotable

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,java.lang.Long>
              org.archive.util.Histotable<java.lang.String>
                  org.archive.crawler.util.CrawledBytesHistotable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Long>, CoreAttributeConstants, Accumulator<CrawlURI>

    public class CrawledBytesHistotable

extends Histotable<java.lang.String>
implements Accumulator<CrawlURI>, CoreAttributeConstants

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DUPLICATE`
`static java.lang.String` | `NOTMODIFIED`
`static java.lang.String` | `NOVEL`

Fields inherited from interface org.archive.crawler.datamodel.CoreAttributeConstants
`A_ANNOTATIONS, A_CONTENT_DIGEST, A_CONTENT_TYPE, A_CREDENTIAL_AVATARS_KEY, A_DELAY_FACTOR, A_DISTANCE_FROM_SEED, A_DNS_FETCH_TIME, A_DNS_SERVER_IP_LABEL, A_ETAG_HEADER, A_FETCH_BEGAN_TIME, A_FETCH_COMPLETED_TIME, A_FETCH_HISTORY, A_FORCE_RETIRE, A_HERITABLE_KEYS, A_HTML_BASE, A_HTTP_BIND_ADDRESS, A_HTTP_PROXY_HOST, A_HTTP_PROXY_PORT, A_HTTP_TRANSACTION, A_LAST_MODIFIED_HEADER, A_LOCALIZED_ERRORS, A_META_ROBOTS, A_MINIMUM_DELAY, A_MIRROR_PATH, A_PREREQUISITE_URI, A_REFERENCE_LENGTH, A_RETRY_DELAY, A_RRECORD_SET_LABEL, A_RUNTIME_EXCEPTION, A_SOURCE_TAG, A_STATUS, HEADER_TRUNC, LENGTH_TRUNC, TIMER_TRUNC, TRUNC_SUFFIX`

Constructor Summary
`CrawledBytesHistotable()`

Method Summary
`void` | `accumulate(CrawlURI curi)`
`java.lang.String` | `summary()`

Methods inherited from class org.archive.util.Histotable
`add, entryString, getLargestValue, getSortedByCounts, getSortedByKeys, getTotal, subtract, tally, tally`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### NOTMODIFIED

    public static final java.lang.String NOTMODIFIED

See Also:
  Constant Field Values

### DUPLICATE

    public static final java.lang.String DUPLICATE

See Also:
  Constant Field Values

### NOVEL

    public static final java.lang.String NOVEL

See Also:
  Constant Field Values

Constructor Detail

### CrawledBytesHistotable

    public CrawledBytesHistotable()

Method Detail

### accumulate

    public void accumulate(CrawlURI curi)

  Specified by:
    `accumulate` in interface `Accumulator<CrawlURI>`

### summary

    public java.lang.String summary()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.